Get Lead by ID
curl --request GET \
--url https://octanist.com/api/leads/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://octanist.com/api/leads/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://octanist.com/api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "lead_abc123",
"name": "John Doe",
"email": "john@example.com",
"phone": "+1234567890",
"status": "won",
"value": 5000,
"note": "Customer notes",
"custom": "{\"company\":\"Acme Inc\"}",
"lossReason": null,
"conversionName": "Purchase",
"source": "gtm",
"website": "https://example.com",
"path": "/pricing",
"referrer": "https://google.com",
"country": "NL",
"gclid": "abc123",
"dclid": "dclid123",
"wbraid": "wbraid123",
"gbraid": "gbraid123",
"ga4cid": "GA1.1.123456789.1234567890",
"ga4sid": "1234567890",
"fbc": "fb.1.1234567890.abc123",
"fbp": "fb.1.1234567890.987654321",
"msclkid": "msclkid123",
"ttclid": "ttclid123",
"twclid": "twclid123",
"rdt_cid": "rdtcid123",
"sccid": "sccid123",
"epik": "epik123",
"li_fat_id": "lifatid123",
"utm_source": "google",
"utm_medium": "cpc",
"utm_campaign": "summer_sale",
"utm_content": "headline_a",
"utm_term": "brand keyword",
"ad_storage": true,
"ad_user_data": true,
"analytics_storage": true,
"ad_personalization": true,
"googleAdsCampaignId": "123456789",
"googleAdsCustomerId": "123-456-7890",
"googleAdsClickDate": "2026-01-15",
"googleAdsCampaignName": "Spring Sale 2026",
"googleAdsAdGroupId": "987654321",
"googleAdsAdGroupName": "Brand Keywords",
"googleAdsAdId": "111222333",
"googleAdsDevice": "DESKTOP",
"googleAdsAdNetworkType": "SEARCH",
"googleAdsClickType": "Headline",
"googleAdsSlot": "Search Top",
"labelId": "label_xyz",
"selectedConversionEventId": "conv_123",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-20T14:00:00.000Z",
"qualifiedAt": "2026-01-18T09:00:00.000Z",
"expiresAt": "2026-04-15T10:30:00.000Z"
},
"meta": {
"requestId": "req_a1b2c3d4e5f6",
"timestamp": "2026-03-10T12:00:00.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Human readable error message",
"details": {}
},
"meta": {
"requestId": "req_a1b2c3d4e5f6",
"timestamp": "2026-03-10T12:00:00.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Human readable error message",
"details": {}
},
"meta": {
"requestId": "req_a1b2c3d4e5f6",
"timestamp": "2026-03-10T12:00:00.000Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Human readable error message",
"details": {}
},
"meta": {
"requestId": "req_a1b2c3d4e5f6",
"timestamp": "2026-03-10T12:00:00.000Z"
}
}Leads
Get Lead by ID
Retrieve a single lead by ID
GET
/
api
/
leads
/
{id}
Get Lead by ID
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Lead ID |
Example Request
curl -X GET \
-H "X-API-KEY: your_api_key" \
"https://octanist.com/api/leads/lead_abc123"
Example Response
Returns the full lead object (see Full Lead Object).{
"success": true,
"data": {
"id": "lead_abc123",
"name": "John Doe",
"email": "john@example.com",
"phone": "+1234567890",
"status": "won",
"value": 5000,
"source": "gtm",
"website": "https://example.com",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-20T14:00:00.000Z"
},
"meta": {
"requestId": "req_a1b2c3d4e5f6",
"timestamp": "2026-03-10T12:00:00.000Z"
}
}
Error Responses
| Status | Code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Missing or invalid API key |
| 404 | NOT_FOUND | Lead not found |
| 500 | INTERNAL_ERROR | Server error |
⌘I